
h = require 'maquette' .h
Modal = require './modal.ls'

TaskCreationModal = (project-id, todod-ws, task) ->
	task ||= {}

	self = {
		title: task.title || ""
		description: task.description || ""
	}

	modal = Modal {
		+visible
		content: h \div.form [
			h \input.input {
				value: self.title
				oninput: (e) ->
					self.title := e.target.value
			}

			h \textarea {
				value: self.description
				oninput: (e) ->
					self.description := e.target.value
			}
		]
		on-validation: ->
			if task.id
				todod-ws.edit-task task.id, {
					title: self.title
					description: self.description
				}
			else
				todod-ws.add-task project-id, self.title, {
					description: self.description
				}
	}

	self.render = ->
		modal.render!

	self

module.exports = TaskCreationModal
